package com.xinelu.manage.service.patientprehospitalization;

import com.xinelu.common.core.domain.AjaxResult;
import com.xinelu.manage.domain.patientprehospitalization.PatientPreHospitalization;
import com.xinelu.manage.dto.patientinfo.PatientInfoDto;
import java.util.List;

/**
* @author haown
* @description 针对表【patient_pre_hospitalization(预住院患者表)】的数据库操作Service
* @createDate 2024-03-08 10:25:39
*/
public interface IPatientPreHospitalizationService {

	int insert(PatientPreHospitalization preHospitalization);

	List<PatientPreHospitalization> selectList(PatientInfoDto patientInfo);

	int update(PatientPreHospitalization preHospitalization);

	/**
	 * 批量删除
	 *
	 * @param ids 需要删除的预住院患者信息主键集合
	 * @return 结果
	 */
	int deleteByIds(Long[] ids);

	PatientPreHospitalization getById(Long id);

	/**
	 * 预住院患者导入
	 *
	 * @param patientList 患者就诊信息
	 * @return int
	 **/
	AjaxResult importList(List<PatientPreHospitalization> patientList);
}
